[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

GNU Automake 1.13.1 released

From: Stefano Lattarini
Subject: GNU Automake 1.13.1 released
Date: Tue, 01 Jan 2013 14:01:53 +0100

Hash: SHA1

We are pleased to announce the GNU Automake 1.13.1 maintenance release.

This is a bug-fixing release, partly remedying to the too-abrupt
removal on our part of some long-obsoleted macros which were however
still used "in the wild": AM_CONFIG_HEADER and (to a much lesser
degree) AM_PROG_CC_STDC.  Now the use of these obsolete macros elicit
clear and helpful error messages, rather than obscure failures that
give no hint about to the reason behind them.

You can download the new release here:

Please report bugs and problems to <address@hidden>, and send
general comments and feedback to <address@hidden>.

Below we also report, once again, the list of planned future backward
incompatibilities, for which Automake clients should begin to prepare
ASAP (albeit such incompatibilities will likely not be introduced for
several months to come).

Thanks to everyone who has reported problems, contributed patches,
and helped testing Automake!

- -*-*-*-

* WARNING: Future backward-incompatibilities!

- - Automake 1.14 will require Autoconf 2.70 or later (which is still
  unreleased at the moment of writing, but is planned to be released
  in a few days, and certainly before Automake 1.14 is).

- - Automake 1.14 will drop support for the long-deprecated ''
  name for the Autoconf input file.  You are advised to start using the
  recommended name '' instead, ASAP.

- - The long-obsolete (since automake 1.10) AM_PROG_MKDIR m4 macro will
  be removed in Automake 1.14.  The $(mkdir_p) make variable and the
  @mkdir_p@ substitution will still remain available (as aliases of
  $(MKDIR_P)) for the moment, for better backward compatibility; but
  you are advised to stop using ASAP.

- - The ACLOCAL_AMFLAGS special make variable will be fully deprecated
  in Automake 1.14 (where it will raise warnings in the "obsolete"
  category).  You are advised to start relying on the new Automake
  support for AC_CONFIG_MACRO_DIRS instead (which was introduced in
  the 1.13 release).

- - Support for IRIX and the SGI C/C++ compilers will be removed in
  Automake 1.14: they have seen their last release in 2006, and SGI
  is expected to retire support from them in December 2013; see
  <> for
  more information.

- - Future versions of Automake might remove support for MS-DOS and
  Windows 95/98/ME (support for them was offered by relying on the
  DJGPP project).  Note however that both Cygwin and MSYS/MinGW on
  modern Windows versions will continue to be fully supported.

- - Support for the long-deprecated INCLUDES variable will be removed
  altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
  used instead.

- - Automake-provided scripts and makefile recipes might (finally!)
  start assuming a POSIX shell in Automake 1.14.

- - Starting from Automake 1.14, third-party m4 files located in the
  system-wide aclocal directory, as well as in any directory listed
  in the ACLOCAL_PATH environment variable, will take precedence
  over "built-in" Automake macros.  For example (assuming Automake
  is installed in the /usr/local hierarchy), a definition of the
  AM_PROG_VALAC macro found in '/usr/local/share/aclocal/my-vala.m4'
  should take precedence over the same-named automake-provided macro
  (defined in '/usr/local/share/aclocal-1.14/vala.m4').
Version: GnuPG v1.4.12 (GNU/Linux)


reply via email to

[Prev in Thread] Current Thread [Next in Thread]